require "import"
import "android.widget.*"
import "android.content.*"
import "android.net.Uri" -- Uri को सही तरीके से आयात करें

-- Helper function to convert dp to pixels based on screen density
function dp(value)
    return value * this.getResources().getDisplayMetrics().density
end

-- Layout for the dialog
layout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    {
        TextView,
        text = "Welcome to Extension",
        textSize = "20sp",
        gravity = "center",
        layout_width = "fill",
        layout_height = "wrap",
        textColor = 0xFF000000,
        padding = "16dp"
    },
    {
        Button,
        text = "Download Fighter",
        id = "download_button",
        layout_width = "fill",
        layout_height = "wrap",
        textSize = "16sp"
    },
    {
        Button,
        text = "About Us",
        id = "about_button",
        layout_width = "fill",
        layout_height = "wrap",
        textSize = "16sp"
    }
}

-- Create the dialog
dlg = LuaDialog(this)
dlg.View = loadlayout(layout)
dlg.setTitle("Extension Options")

-- Adjust marginTop for the About Us button
local about_button_params = about_button.getLayoutParams()
about_button_params.topMargin = dp(10)  -- Setting marginTop correctly
about_button.setLayoutParams(about_button_params)

-- Download Fighter Button Click Listener
download_button.onClick = function()
    -- Close the main dialog
    dlg.dismiss()

    -- Show options dialog for Download Fighter
    options_dialog = LuaDialog(this)
    options_dialog.setTitle("Do you want to Download Fighter?")
    options_dialog.setMessage("Download Fighter or Cancel?")
    options_dialog.setButton("Download", function()
        -- Open Download Fighter Link
        local url = "https://d.kuku.lu/78ytfatzy"
        local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
        this.startActivity(intent)
        options_dialog.dismiss()
    end)
    options_dialog.setNegativeButton("Cancel", function()
        -- Go to home screen (return to main activity or home)
        local intent = Intent(Intent.ACTION_MAIN)
        intent.addCategory(Intent.CATEGORY_HOME)
        this.startActivity(intent)
        options_dialog.dismiss()
    end)
    options_dialog.show()
end

-- About Us Button Click Listener
about_button.onClick = function()
    -- Show About Us dialog with separate information
    about_dialog = LuaDialog(this)
    about_dialog.setTitle("About Us")
    about_dialog.setMessage("Welcome to Extension.\nDeveloped by Kunal.")
    
    -- Subscribe to Channel option
    about_dialog.setButton("Subscribe", function()
        -- Show Subscribe Confirmation Dialog
        subscribe_dialog = LuaDialog(this)
        subscribe_dialog.setTitle("Do you want to subscribe to this channel?")
        subscribe_dialog.setMessage("Cancel or Subscribe?")
        subscribe_dialog.setButton("Subscribe", function()
            -- Open Subscribe Channel Link
            local url = "https://youtube.com/@kunalnimbalkar-qg6xu?si=8OIQZoyD8tRur9bp"
            local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
            this.startActivity(intent)
            subscribe_dialog.dismiss()
            -- Close the main extension dialog
            dlg.dismiss()
        end)
        subscribe_dialog.setNegativeButton("Cancel", function()
            -- Go to home screen (return to main activity or home)
            local intent = Intent(Intent.ACTION_MAIN)
            intent.addCategory(Intent.CATEGORY_HOME)
            this.startActivity(intent)
            subscribe_dialog.dismiss()
        end)
        subscribe_dialog.show()
    end)
    
    about_dialog.setNegativeButton("Cancel", function()
        about_dialog.dismiss()
    end)
    about_dialog.show()
end

-- Show the Main Dialog
dlg.show()